import axios from '../api'

/**
 * API接口
 */
export default {

  // 获取菜单列表
  agencyList(params) {
    return axios.post('/api/agency/index',params)
  },

  // 添加菜单
  agencyAdd(params) {
    return axios.post('/api/agency/add',params)
  },

  // 编辑菜单
  agencyEdit(params) {
    return axios.post('/api/agency/edit',params)
  },

  // 获取菜单详情
  agencyInfo(params) {
    return axios({
      method: "GET",
      url: '/api/agency/info?id='+params.id,
      data: {}
    })
  },

  // 删除菜单
  agencyDel(params) {
    return axios.post('/api/agency/del',params)
  },
  
  // 设置状态
  agencyStatus(params) {
    return axios.post('/api/agency/setStatus',params)
  }
}
